itpp::BLDPC_Generator Class Reference

Block LDPC Generator class. More...

`#include <itpp/comm/ldpc.h>`

Inheritance diagram for itpp::BLDPC_Generator:

## Public Member Functions

| BLDPC_Generator (const std::string type="BLDPC")
| Default constructor.
| BLDPC_Generator (const BLDPC_Parity *const H, const std::string type="BLDPC")
| Parametrized constructor.
int | get_exp_factor () const
| Get expansion factor.
void | encode (const bvec &input, bvec &output)
| Generator specific encode function.
void | construct (const BLDPC_Parity *const H)
| Construct the BLDPC generator.
std::string | get_type () const
| Return generator type.
void | mark_initialized ()
| Mark generator as initialized.
bool | is_initialized () const
| Check if generator is initialized.

## Protected Member Functions

void | save (const std::string &filename) const
| Save generator data to a file.
void | load (const std::string &filename)
| Read generator data from a file.

## Protected Attributes

GF2mat | H_enc
| Preprocessed parity check matrix.
int | N
| Codeword length = H_enc.cols()
int | M
| Number of parity check bits = H_enc.rows()
int | K
| Number of information bits = N-M.
int | Z
| Expansion factor.

## Detailed Description

Block LDPC Generator class.

Author
  Adam Piatyszek

Note
  Please refer to the BLDPC_Parity class description for information on B-LDPC codes

Definition at line 644 of file ldpc.h.

The documentation for this class was generated from the following files:

- itpp/comm/ldpc.h
- itpp/comm/ldpc.cpp

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17